dbXML API

## org.dbxml.core.corba.db
Class DatabaseManagerHelper

    java.lang.Object
      |
      +--org.dbxml.core.corba.db.DatabaseManagerHelper

public class DatabaseManagerHelper
extends java.lang.Object

Generated from IDL definition of interface "DatabaseManager"

Author:
  JacORB IDL compiler

Constructor Summary
`DatabaseManagerHelper()`

Method Summary
`static DatabaseManager` `extract(org.omg.CORBA.Any any)`
`static java.lang.String` `id()`
`static void` `insert(org.omg.CORBA.Any any, DatabaseManager s)`
`static DatabaseManager` `narrow(org.omg.CORBA.Object obj)`
`static DatabaseManager` `read(org.omg.CORBA.portable.InputStream in)`
`static org.omg.CORBA.TypeCode` `type()`
`static void` `write(org.omg.CORBA.portable.OutputStream _out, DatabaseManager s)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseManagerHelper

    public DatabaseManagerHelper()

Method Detail

### insert

    public static void insert(org.omg.CORBA.Any any,
                              DatabaseManager s)

### extract

    public static DatabaseManager extract(org.omg.CORBA.Any any)

### type

    public static org.omg.CORBA.TypeCode type()

### id

    public static java.lang.String id()

### read

    public static DatabaseManager read(org.omg.CORBA.portable.InputStream in)

### write

    public static void write(org.omg.CORBA.portable.OutputStream _out,
                             DatabaseManager s)

### narrow

    public static DatabaseManager narrow(org.omg.CORBA.Object obj)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved